* Encoding: windows-1252.
/*********************************************************************************************************/
/*                                                                                                                                 */
/* This SPSS program will extract the United States Sentencing Commission's fiscal year  */
/* 2020 Organizational file and create a SPSS dataset.                                                     */
/*                                                                                                                                 */
/* Prior to running the program you must update the DAT file location in the                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your           */
/* computer, replacing the '.' with the folder path location (e.g. 'C:\temp').                            */
/*                                                                                                                                 */
/* You must also update the file output location in the SAVE OUTFILE statement at the     */
/* end of the program to correspond to the folder you want the output file to be located,      */
/* replacing the '.' with the folder path location (e.g. 'C:\temp') .                                          */
/*                                                                                                                                 */
/*********************************************************************************************************/
FILE HANDLE DATA / NAME=".\corp20nid.dat" ENCODING="CP1252" / LRECL=1405 .

DATA LIST FILE=DATA/
   ACCEPT 1-2               BUSCLAS 3-6              CANTPAY 7             
   CCULPSCO 8-9             CH2APP 10                CH8FINGD 11           
   CMSRVORD 12              COFI 13                  COMPLY 14             
   COMPLYPR 15              CRIMPURP 16              DETBFINE 17           
   DISPOSIT 18              EMPLOYNM 19              FCULPSCO 20-21        
   FRAUDTYP 22-23           FINSTDS 24               HISTORY 25            
   HSMISCND 26              INCORLOC 27              INCORPYR 28-31        
   INDICT 32                INPLEA1 33               INPLEA2 34            
   INPLEA3 35               INPLEA4 36               INPLEA5 37            
   INPLEA6 38               INPLEA7 39               INPLEA8 40            
   INPLEA9 41               INPLEA10 42              INPLEA11 43           
   INPLEA12 44              INNOPL1 45               INNOPL2 46            
   INNOPL3 47               INNOPL4 48               INNOPL5 49            
   INNOPL6 50               INNOPL7 51               INNOPL8 52            
   INNOPL9 53               INNOPL10 54              INNOPL11 55           
   INNOPL12 56              JANDC 57                 NEWCNVTN 58           
   NOCOMP 59                NOCOUNTS 60-61           NOREAVAR 62           
   NOUSTAT 63               OBSTRUCT 64              OFFLVL 65-66          
   ORDERCE 67               ORGTYPE 68               OWNSTRCT 69           
   PLEA 70                  PRIMOFF 71-72            PRCIVIL 73            
   PRCRIME 74               PROBATN 75-76            PROBMON 77            
   PSR 78                   QUARTER 79               REAS1 80-83           
   REAS2 84-86              REAS3 87-88              REAS4 89-90           
   REAS5 91-93              REASON2 94               REASON3 95            
   REASON4 96               REASONS 97               REMEDORD 98           
   SELFREP 99               SENTRNGE 100             SOURCES 101           
   TOLERNCE 102             TYPEOTHS 103-104         VICTNOTE 105          
   VIOLATE 106              AMENDYR 107-110          SENTYR 111-114        
   BASEFINE 115-123         COSTASSM 124-127         DISGORGE 128          
   FINOFFST 129-135         FORFEITR 136-143         GLFINMAX 144-152      
   GLFINMIN 153-161         STATMIN 162              STATMAX 163-169       
   RESTCAT 170              FINECAT 171              SUSFNCAT 172          
   LCAT1 173                LCATHI 174               LCATS1 175            
   LCATSHI 176              LCATR1 177               LCATRHI 178           
   LCATC1 179               LCATCHI 180              LCATU1 181            
   LCATUHI 182              CPIDN 183-189            BUSTEXT 190 (A)       
   FINSTXT 191 (A)          OWNSTEXT 192 (A)         PRMONTXT 193-281 (A)  
   ORDERTXT 282-480 (A)     TYPEOTTX 481-596 (A)     MINFINML 597-600      
   MAXFINML 601-603         ADJOFL1 604-605          ADJOFLHI 606-607      
   ADJ_B1 608-609           ADJ_BHI 610-611          ADJ_C1 612-613        
   ADJ_CHI 614-615          ADJ_D1 616               ADJ_DHI 617           
   ADJ_E1 618               ADJ_EHI 619              ADJ_F1 620            
   ADJ_FHI 621              ADJ_G1 622               ADJ_GHI 623           
   ADJ_H1 624               ADJ_HHI 625              ADJ_I1 626            
   ADJ_IHI 627              ADJ_J1 628               ADJ_JHI 629           
   ADJ_K1 630               ADJ_KHI 631              ADJ_L1 632            
   ADJ_LHI 633              ADJ_M1 634               ADJ_MHI 635           
   ADJ_N1 636               ADJ_NHI 637              ADJ_O1 638            
   ADJ_OHI 639              ADJ_P1 640               ADJ_PHI 641           
   ADJ_Q1 642               ADJ_QHI 643              ADJ_R1 644            
   ADJ_RHI 645              ADJ_S1 646               ADJ_SHI 647           
   ADJ_T1 648               ADJ_THI 649              ADJ_U1 650            
   ADJ_UHI 651              BASADJ1 652              BASADJHI 653          
   BASE1 654-655            BASEHI 656-657           BASLN1 658            
   BASLNHI 659              ADJOFS1 660-661          ADJOFSHI 662-663      
   ADJS_B1 664-665          ADJS_BHI 666-667         ADJS_C1 668-669       
   ADJS_CHI 670-671         ADJS_D1 672              ADJS_DHI 673          
   ADJS_E1 674              ADJS_EHI 675             ADJS_F1 676           
   ADJS_FHI 677             ADJS_G1 678              ADJS_GHI 679          
   ADJS_H1 680              ADJS_HHI 681             ADJS_I1 682           
   ADJS_IHI 683             ADJS_J1 684              ADJS_JHI 685          
   ADJS_K1 686              ADJS_KHI 687             ADJS_L1 688           
   ADJS_LHI 689             ADJS_M1 690              ADJS_MHI 691          
   ADJS_N1 692              ADJS_NHI 693             ADJS_O1 694           
   ADJS_OHI 695             ADJS_P1 696              ADJS_PHI 697          
   ADJS_Q1 698              ADJS_QHI 699             ADJS_R1 700           
   ADJS_RHI 701             ADJS_S1 702              ADJS_SHI 703          
   ADJS_T1 704              ADJS_THI 705             ADJS_U1 706           
   ADJS_UHI 707             BASADS1 708              BASADSHI 709          
   BASES1 710-711           BASESHI 712-713          BASLNS1 714           
   BASLNSHI 715             ADJOFR1 716-717          ADJOFRHI 718-719      
   ADJR_B1 720-721          ADJR_BHI 722-723         ADJR_C1 724           
   ADJR_CHI 725             ADJR_D1 726              ADJR_DHI 727          
   ADJR_E1 728              ADJR_EHI 729             ADJR_F1 730           
   ADJR_FHI 731             ADJR_G1 732              ADJR_GHI 733          
   ADJR_H1 734              ADJR_HHI 735             ADJR_I1 736           
   ADJR_IHI 737             ADJR_J1 738              ADJR_JHI 739          
   ADJR_K1 740              ADJR_KHI 741             ADJR_L1 742           
   ADJR_LHI 743             ADJR_M1 744              ADJR_MHI 745          
   ADJR_N1 746              ADJR_NHI 747             ADJR_O1 748           
   ADJR_OHI 749             ADJR_P1 750              ADJR_PHI 751          
   ADJR_Q1 752              ADJR_QHI 753             ADJR_R1 754           
   ADJR_RHI 755             ADJR_S1 756              ADJR_SHI 757          
   ADJR_T1 758              ADJR_THI 759             ADJR_U1 760           
   ADJR_UHI 761             BASADR1 762              BASADRHI 763          
   BASER1 764-765           BASERHI 766-767          BASLNR1 768           
   BASLNRHI 769             ADJOFC1 770              ADJOFCHI 771          
   ADJC_B1 772              ADJC_BHI 773             ADJC_C1 774           
   ADJC_CHI 775             ADJC_D1 776              ADJC_DHI 777          
   ADJC_E1 778              ADJC_EHI 779             ADJC_F1 780           
   ADJC_FHI 781             ADJC_G1 782              ADJC_GHI 783          
   ADJC_H1 784              ADJC_HHI 785             ADJC_I1 786           
   ADJC_IHI 787             ADJC_J1 788              ADJC_JHI 789          
   ADJC_K1 790              ADJC_KHI 791             ADJC_L1 792           
   ADJC_LHI 793             ADJC_M1 794              ADJC_MHI 795          
   ADJC_N1 796              ADJC_NHI 797             ADJC_O1 798           
   ADJC_OHI 799             ADJC_P1 800              ADJC_PHI 801          
   ADJC_Q1 802              ADJC_QHI 803             ADJC_R1 804           
   ADJC_RHI 805             ADJC_S1 806              ADJC_SHI 807          
   ADJC_T1 808              ADJC_THI 809             ADJC_U1 810           
   ADJC_UHI 811             BASADC1 812              BASADCHI 813          
   BASEC1 814               BASECHI 815              BASLNC1 816           
   BASLNCHI 817             ADJOFU1 818              ADJOFUHI 819          
   ADJU_B1 820              ADJU_BHI 821             ADJU_C1 822           
   ADJU_CHI 823             ADJU_D1 824              ADJU_DHI 825          
   ADJU_E1 826              ADJU_EHI 827             ADJU_F1 828           
   ADJU_FHI 829             ADJU_G1 830              ADJU_GHI 831          
   ADJU_H1 832              ADJU_HHI 833             ADJU_I1 834           
   ADJU_IHI 835             ADJU_J1 836              ADJU_JHI 837          
   ADJU_K1 838              ADJU_KHI 839             ADJU_L1 840           
   ADJU_LHI 841             ADJU_M1 842              ADJU_MHI 843          
   ADJU_N1 844              ADJU_NHI 845             ADJU_O1 846           
   ADJU_OHI 847             ADJU_P1 848              ADJU_PHI 849          
   ADJU_Q1 850              ADJU_QHI 851             ADJU_R1 852           
   ADJU_RHI 853             ADJU_S1 854              ADJU_SHI 855          
   ADJU_T1 856              ADJU_THI 857             ADJU_U1 858           
   ADJU_UHI 859             BASADU1 860              BASADUHI 861          
   BASEU1 862               BASEUHI 863              BASLNU1 864           
   BASLNUHI 865             ADJL_B1 866 (A)          ADJL_BHI 867 (A)      
   ADJL_C1 868-869 (A)      ADJL_CHI 870-871 (A)     ADJL_D1 872 (A)       
   ADJL_DHI 873 (A)         ADJL_E1 874 (A)          ADJL_EHI 875 (A)      
   ADJL_F1 876 (A)          ADJL_FHI 877 (A)         ADJL_G1 878 (A)       
   ADJL_GHI 879 (A)         ADJL_H1 880-881 (A)      ADJL_HHI 882-883 (A)  
   ADJL_I1 884 (A)          ADJL_IHI 885 (A)         ADJL_J1 886 (A)       
   ADJL_JHI 887 (A)         ADJL_K1 888 (A)          ADJL_KHI 889 (A)      
   ADJL_L1 890-891 (A)      ADJL_LHI 892-893 (A)     ADJL_M1 894 (A)       
   ADJL_MHI 895 (A)         ADJL_N1 896 (A)          ADJL_NHI 897 (A)      
   ADJL_O1 898 (A)          ADJL_OHI 899 (A)         ADJL_P1 900 (A)       
   ADJL_PHI 901 (A)         ADJL_Q1 902 (A)          ADJL_QHI 903 (A)      
   ADJL_R1 904 (A)          ADJL_RHI 905 (A)         ADJL_S1 906 (A)       
   ADJL_SHI 907 (A)         ADJL_T1 908 (A)          ADJL_THI 909 (A)      
   ADJL_U1 910 (A)          ADJL_UHI 911 (A)         BASEL1 912 (A)        
   BASELHI 913 (A)          ADSL_B1 914 (A)          ADSL_BHI 915 (A)      
   ADSL_C1 916-917 (A)      ADSL_CHI 918-919 (A)     ADSL_D1 920 (A)       
   ADSL_DHI 921 (A)         ADSL_E1 922 (A)          ADSL_EHI 923 (A)      
   ADSL_F1 924 (A)          ADSL_FHI 925 (A)         ADSL_G1 926 (A)       
   ADSL_GHI 927 (A)         ADSL_H1 928-929 (A)      ADSL_HHI 930-931 (A)  
   ADSL_I1 932 (A)          ADSL_IHI 933 (A)         ADSL_J1 934 (A)       
   ADSL_JHI 935 (A)         ADSL_K1 936 (A)          ADSL_KHI 937 (A)      
   ADSL_L1 938-939 (A)      ADSL_LHI 940-941 (A)     ADSL_M1 942 (A)       
   ADSL_MHI 943 (A)         ADSL_N1 944 (A)          ADSL_NHI 945 (A)      
   ADSL_O1 946 (A)          ADSL_OHI 947 (A)         ADSL_P1 948 (A)       
   ADSL_PHI 949 (A)         ADSL_Q1 950 (A)          ADSL_QHI 951 (A)      
   ADSL_R1 952 (A)          ADSL_RHI 953 (A)         ADSL_S1 954 (A)       
   ADSL_SHI 955 (A)         ADSL_T1 956 (A)          ADSL_THI 957 (A)      
   ADSL_U1 958 (A)          ADSL_UHI 959 (A)         BASESL1 960 (A)       
   BASESLHI 961 (A)         ADRL_B1 962 (A)          ADRL_BHI 963 (A)      
   ADRL_C1 964 (A)          ADRL_CHI 965 (A)         ADRL_D1 966 (A)       
   ADRL_DHI 967 (A)         ADRL_E1 968 (A)          ADRL_EHI 969 (A)      
   ADRL_F1 970 (A)          ADRL_FHI 971 (A)         ADRL_G1 972 (A)       
   ADRL_GHI 973 (A)         ADRL_H1 974 (A)          ADRL_HHI 975 (A)      
   ADRL_I1 976 (A)          ADRL_IHI 977 (A)         ADRL_J1 978 (A)       
   ADRL_JHI 979 (A)         ADRL_K1 980 (A)          ADRL_KHI 981 (A)      
   ADRL_L1 982 (A)          ADRL_LHI 983 (A)         ADRL_M1 984 (A)       
   ADRL_MHI 985 (A)         ADRL_N1 986 (A)          ADRL_NHI 987 (A)      
   ADRL_O1 988 (A)          ADRL_OHI 989 (A)         ADRL_P1 990 (A)       
   ADRL_PHI 991 (A)         ADRL_Q1 992 (A)          ADRL_QHI 993 (A)      
   ADRL_R1 994 (A)          ADRL_RHI 995 (A)         ADRL_S1 996 (A)       
   ADRL_SHI 997 (A)         ADRL_T1 998 (A)          ADRL_THI 999 (A)      
   ADRL_U1 1000 (A)         ADRL_UHI 1001 (A)        BASERL1 1002 (A)      
   BASERLHI 1003 (A)        ADCL_B1 1004 (A)         ADCL_BHI 1005 (A)     
   ADCL_C1 1006 (A)         ADCL_CHI 1007 (A)        ADCL_D1 1008 (A)      
   ADCL_DHI 1009 (A)        ADCL_E1 1010 (A)         ADCL_EHI 1011 (A)     
   ADCL_F1 1012 (A)         ADCL_FHI 1013 (A)        ADCL_G1 1014 (A)      
   ADCL_GHI 1015 (A)        ADCL_H1 1016 (A)         ADCL_HHI 1017 (A)     
   ADCL_I1 1018 (A)         ADCL_IHI 1019 (A)        ADCL_J1 1020 (A)      
   ADCL_JHI 1021 (A)        ADCL_K1 1022 (A)         ADCL_KHI 1023 (A)     
   ADCL_L1 1024 (A)         ADCL_LHI 1025 (A)        ADCL_M1 1026 (A)      
   ADCL_MHI 1027 (A)        ADCL_N1 1028 (A)         ADCL_NHI 1029 (A)     
   ADCL_O1 1030 (A)         ADCL_OHI 1031 (A)        ADCL_P1 1032 (A)      
   ADCL_PHI 1033 (A)        ADCL_Q1 1034 (A)         ADCL_QHI 1035 (A)     
   ADCL_R1 1036 (A)         ADCL_RHI 1037 (A)        ADCL_S1 1038 (A)      
   ADCL_SHI 1039 (A)        ADCL_T1 1040 (A)         ADCL_THI 1041 (A)     
   ADCL_U1 1042 (A)         ADCL_UHI 1043 (A)        BASECL1 1044 (A)      
   BASECLHI 1045 (A)        ADUL_B1 1046 (A)         ADUL_BHI 1047 (A)     
   ADUL_C1 1048 (A)         ADUL_CHI 1049 (A)        ADUL_D1 1050 (A)      
   ADUL_DHI 1051 (A)        ADUL_E1 1052 (A)         ADUL_EHI 1053 (A)     
   ADUL_F1 1054 (A)         ADUL_FHI 1055 (A)        ADUL_G1 1056 (A)      
   ADUL_GHI 1057 (A)        ADUL_H1 1058 (A)         ADUL_HHI 1059 (A)     
   ADUL_I1 1060 (A)         ADUL_IHI 1061 (A)        ADUL_J1 1062 (A)      
   ADUL_JHI 1063 (A)        ADUL_K1 1064 (A)         ADUL_KHI 1065 (A)     
   ADUL_L1 1066 (A)         ADUL_LHI 1067 (A)        ADUL_M1 1068 (A)      
   ADUL_MHI 1069 (A)        ADUL_N1 1070 (A)         ADUL_NHI 1071 (A)     
   ADUL_O1 1072 (A)         ADUL_OHI 1073 (A)        ADUL_P1 1074 (A)      
   ADUL_PHI 1075 (A)        ADUL_Q1 1076 (A)         ADUL_QHI 1077 (A)     
   ADUL_R1 1078 (A)         ADUL_RHI 1079 (A)        ADUL_S1 1080 (A)      
   ADUL_SHI 1081 (A)        ADUL_T1 1082 (A)         ADUL_THI 1083 (A)     
   ADUL_U1 1084 (A)         ADUL_UHI 1085 (A)        BASEUL1 1086 (A)      
   BASEULHI 1087 (A)        GDLINE1 1088-1092 (A)    GDSTAT1 1093-1097 (A) 
   GDREF1 1098-1102 (A)     GDCROS1 1103 (A)         GDUNDR1 1104 (A)      
   GDLINEHI 1105-1109 (A)   GDSTATHI 1110-1114 (A)   GDREFHI 1115-1119 (A) 
   GDCROSHI 1120 (A)        GDUNDRHI 1121 (A)        STA1_1 1122-1132 (A)  
   STA1_2 1133-1140 (A)     STA1_3 1141-1147 (A)     STA1_4 1148-1153 (A)  
   STA1_5 1154-1159 (A)     STA1_6 1160-1165 (A)     STA1_7 1166-1171 (A)  
   STA1_8 1172-1177 (A)     STA1_9 1178-1183 (A)     STA1_10 1184-1190 (A) 
   STA1_11 1191-1196 (A)    STA2_1 1197-1206 (A)     STA2_2 1207-1215 (A)  
   STA2_3 1216-1221 (A)     STA2_4 1222-1227 (A)     STA2_5 1228 (A)       
   STA2_6 1229 (A)          STA2_7 1230 (A)          STA2_8 1231 (A)       
   STA2_9 1232 (A)          STA2_10 1233 (A)         STA2_11 1234 (A)      
   STA3_1 1235-1245 (A)     STA3_2 1246-1248 (A)     STA3_3 1249 (A)       
   STA3_4 1250 (A)          STA3_5 1251 (A)          STA3_6 1252 (A)       
   STA3_7 1253 (A)          STA3_8 1254 (A)          STA3_9 1255 (A)       
   STA3_10 1256 (A)         STA3_11 1257 (A)         NWSTAT1 1258-1268 (A) 
   NWSTAT2 1269-1278 (A)    NWSTAT3 1279-1289 (A)    NWSTAT4 1290-1292 (A) 
   SMAX1 1293-1298          SMAX2 1299-1304          SMAX3 1305-1310       
   SMAX4 1311-1316          SMAX5 1317-1322          SMAX6 1323-1328       
   SMAX7 1329-1334          SMAX8 1335-1340          SMAX9 1341-1346       
   SMAX10 1347-1352         SMAX11 1353-1358         SMIN1 1359            
   SMIN2 1360               SMIN3 1361               SMIN4 1362            
   SMIN5 1363               SMIN6 1364               SMIN7 1365            
   SMIN8 1366               SMIN9 1367               SMIN10 1368           
   SMIN11 1369              RETEXT1 1370-1401 (A)    RETEXT2 1402 (A)      
   RETEXT3 1403 (A)         RETEXT4 1404 (A)         RETEXT5 1405 (A) .    


FORMATS
  MINFINML (F5.2) /        MAXFINML (F4.1) / .
   

SAVE OUTFILE='.\corp20nid.sav'.
